## rubido 1.0-1

=== Makefile ===
PROG        = rubido
VERS        = 1.0.0
CC          = c++
LD          = c++


OPT_FLAGS   =  -O2

LIBRARIES   =  -lSDL_image -lSDL_ttf -lSDL_mixer -lSDL -lSDL_gfx

CFLAGS      = -I/usr/include -I/usr/include/SDL -W -Wall -Wno-deprecated -Wno-sign-compare -Wno-unused -Wpointer-arith -Wcast-align -Waggregate-return -Wshadow -mfpu=vfp -mfloat-abi=softfp -mcpu=arm1136j-s
LDFLAGS     = -L/usr/lib -lSDL_image -lSDL_ttf -lSDL_mixer -lSDL -lSDL_gfx
RM          = /bin/rm -f
OBJS        = rubido.o

PREFIX	    = $(DESTDIR)/usr
GAMEDIR     = $(PREFIX)/games/rubido
DATADIR	    = $(GAMEDIR)/data
GRAPHICSDIR = $(GAMEDIR)/graphics
MUSICDIR    = $(GAMEDIR)/music
SOUNDDIR    = $(GAMEDIR)/sound
ICONDIR     = $(PREFIX)/share/icons/hicolor/scalable/apps
DESKTOPDIR  = $(PREFIX)/share/applications/hildon


.PHONY: clean distclean
all: $(PROG)
%.o: %.cpp
		$(CC) -c $< -o $@ $(OPT_FLAGS) $(CFLAGS)
$(PROG): $(OBJS)
		$(LD) $^ -o $@ $(LDFLAGS) 
clean:
		$(RM) *~ $(OBJS) $(PROG)
.PHONY:  clean

install: all
	install -d $(GAMEDIR)
	install -d $(DATADIR)
	install -d $(GRAPHICSDIR)
	install -d $(MUSICDIR)
	install -d $(SOUNDDIR)
	install -d $(DESKTOPDIR)
	install -d $(ICONDIR)

	install -m 0755 rubido                                                                              $(GAMEDIR)
	install -m 0644 rubidofs/data/font.ttf                                                              $(DATADIR)
	install -m 0755 rubidofs/data/rubido.desktop                                                        $(DESKTOPDIR) 
	install -m 0755 rubidofs/data/rubido.png							                                              $(ICONDIR)
	install -m 0644 rubidofs/graphics/background.png                                                    $(GRAPHICSDIR)
	install -m 0644 rubidofs/graphics/credits.png                                                       $(GRAPHICSDIR)
	install -m 0644 rubidofs/graphics/credits1.png                                                      $(GRAPHICSDIR)
	install -m 0644 rubidofs/graphics/credits2.png                                                      $(GRAPHICSDIR)
	install -m 0644 rubidofs/graphics/easy1.png                                                         $(GRAPHICSDIR)
	install -m 0644 rubidofs/graphics/hard1.png                                                         $(GRAPHICSDIR)
	install -m 0644 rubidofs/graphics/veryeasy1.png                                                     $(GRAPHICSDIR)
	install -m 0644 rubidofs/graphics/veryhard1.png                                                     $(GRAPHICSDIR)
	install -m 0644 rubidofs/graphics/infoeasy.png                                                      $(GRAPHICSDIR)
	install -m 0644 rubidofs/graphics/infohard.png                                                      $(GRAPHICSDIR)
	install -m 0644 rubidofs/graphics/infoveryeasy.png                                                  $(GRAPHICSDIR)
	install -m 0644 rubidofs/graphics/infoveryhard.png                                                  $(GRAPHICSDIR)
	install -m 0644 rubidofs/graphics/newgame1.png                                                      $(GRAPHICSDIR)
	install -m 0644 rubidofs/graphics/newgame2.png                                                      $(GRAPHICSDIR)
	install -m 0644 rubidofs/graphics/peg.png                                                           $(GRAPHICSDIR)
	install -m 0644 rubidofs/graphics/quit1.png                                                         $(GRAPHICSDIR)
	install -m 0644 rubidofs/graphics/quit2.png                                                         $(GRAPHICSDIR)
	install -m 0644 rubidofs/graphics/titlescreen.png                                                   $(GRAPHICSDIR)
	install -m 0644 rubidofs/music/rubido.mod                                                           $(MUSICDIR)
	install -m 0644 rubidofs/sound/good.wav                                                             $(SOUNDDIR)
	install -m 0644 rubidofs/sound/wrong.wav                                                            $(SOUNDDIR)
	install -m 0644 rubidofs/sound/loser.wav                                                            $(SOUNDDIR)
	install -m 0644 rubidofs/sound/select.wav                                                           $(SOUNDDIR)
	install -m 0644 rubidofs/sound/start.wav                                                            $(SOUNDDIR)
	install -m 0644 rubidofs/sound/winner.wav                                                           $(SOUNDDIR)

=== debian/changelog ===
rubido (1.0-1) diablo; urgency=low

  * Initial release of my gp2x game rubido for the nokia N810

 -- Willems Davy <willems.davy@willemssoft.be>  Sat, 21 Mar 2009 11:25:02 +0100

=== debian/control ===
Source: rubido
Section: user/games
Priority: extra
Maintainer: willems davy <willems.davy@willemssoft.be>
Build-Depends: debhelper (>= 5), libc6-dev (>= 2.5.0-1osso10 ), libsdl-gfx1.2-dev (>= 2.0.13-5maemo0 ), libsdl-image1.2-dev (>= 1.2.4-5 ), libsdl-mixer1.2-dev (>= 1.2.6-4 ), libsdl-ttf2.0-dev (>= 2.0.9-1 ), libsdl1.2-dev (>= 1.2.8-23 ), libx11-dev (>= 2 ), x11proto-core-dev (>= 7.0.10-2osso1 )
Standards-Version: 3.7.2
 
Package: rubido
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Rubido is a chinese checkers clone
 Rubido is a chinese checkers clone, it's also known as Solitaire 
 in certain countries. You have a board filled with pegs where you 
 jump over another peg to an empty place and by this you remove 
 the peg you jumped over. Depending on the difficulty you diagonal 
 movement is allowed or not and you either have to end in the middle 
 or not.
XB-Maemo-Icon-26: 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

## rubido 1.0-2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PROG        = rubido
-VERS        = 1.0.0
+VERS        = 1.0.2
 CC          = c++
 LD          = c++
 
@@ -44,6 +44,7 @@
 
 	install -m 0755 rubido                                                                              $(GAMEDIR)
 	install -m 0644 rubidofs/data/font.ttf                                                              $(DATADIR)
+	install -m 0644 rubidofs/data/readme.txt                                                            $(DATADIR)
 	install -m 0755 rubidofs/data/rubido.desktop                                                        $(DESKTOPDIR) 
 	install -m 0755 rubidofs/data/rubido.png							                                              $(ICONDIR)
 	install -m 0644 rubidofs/graphics/background.png                                                    $(GRAPHICSDIR)

=== debian/changelog ===
rubido (1.0-2) diablo; urgency=low

  * Fixed the desktop file.
    Show a readme file after installing
  
  * Initial release of my gp2x game rubido for the nokia N810

 -- Willems Davy <willems.davy@willemssoft.be>  Thu, 26 Mar 2009 22:47:20 +0100

=== debian/control ===
Source: rubido
Section: user/games
Priority: extra
Maintainer: willems davy <willems.davy@willemssoft.be>
Build-Depends: debhelper (>= 5), libc6-dev (>= 2.5.0-1osso10 ), libsdl-gfx1.2-dev (>= 2.0.13-5maemo0 ), libsdl-image1.2-dev (>= 1.2.4-5 ), libsdl-mixer1.2-dev (>= 1.2.6-4 ), libsdl-ttf2.0-dev (>= 2.0.9-1 ), libsdl1.2-dev (>= 1.2.8-23 ), libx11-dev (>= 2 ), x11proto-core-dev (>= 7.0.10-2osso1 ), maemo-installer-utils, maemo-select-menu-location
Standards-Version: 3.7.2
 
Package: rubido
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Rubido is a chinese checkers clone
 Rubido is a chinese checkers clone, it's also known as Solitaire 
 in certain countries. You have a board filled with pegs where you 
 jump over another peg to an empty place and by this you remove 
 the peg you jumped over. Depending on the difficulty you diagonal 
 movement is allowed or not and you either have to end in the middle 
 or not.
XB-Maemo-Upgrade-Description: fixed the desktop file 
 I had forgotten to add a slash in the exec field so the game couldn't
 start from the menu. This should be fixed now. I also added a readme
 after that is shown after installing the game.
XB-Maemo-Icon-26: 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

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/rubido.sgml > rubido.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/rubido.
	$(MAKE) DESTDIR=$(CURDIR)/debian/rubido install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
